// Any Device - Utilities - Any OS - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/common/utils/gsc_util.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#ifndef __GSC_UTIL_H__
#define __GSC_UTIL_H__

#include "gsc_common.h"
#include "gsc_os_util.h"



/* data types	*************************************************************/

typedef struct
{
	void*	buffer;	// Data goes here.
	size_t	size;	// This is the size of the buffer in bytes.
	size_t	offset;	// This is where the data begins.
	U32		count;	// This is the number of bytes of data available beginning at offset.
	int		eof;	// Het the end of an input file.
} gsc_util_buf_man_t;



typedef struct
{
	const char*	name;
	U32			reg;
} gsc_util_reg_def_t;



/* variables	*************************************************************/

extern	const gsc_util_reg_def_t	gsc_pci9080_pci[];
extern	const gsc_util_reg_def_t	gsc_pci9080_plx[];



// prototypes	***************************************************************

int		gsc_buf_man_free_all(void);
int		gsc_buf_man_init(void);
int		gsc_buf_man_release_buffer(gsc_util_buf_man_t* bm);
int		gsc_buf_man_request_data(gsc_util_buf_man_t* bm);
int		gsc_buf_man_request_empty(gsc_util_buf_man_t* bm);
int		gsc_buf_man_setup(void* dev, unsigned char qty, size_t size);
int		gsc_buf_man_stop(int stop, int* last);
int		gsc_buf_man_stats(void);

// Buffer Manager calls provided by implementation
void*	dev_api_buf_alloc(void* dev, unsigned char index, size_t size);	// Provided by implementation.
int		dev_api_buf_free(void* dev, unsigned char index, void* vp);		// Provided by implementation.

void	gsc_format_float(float value, int k, char* dest, size_t size);
void	gsc_format_float_prec(float value, int k, char* dest, size_t size);
void	gsc_format_long(long value, int k, char* dest, size_t size);
void	gsc_format_s32(S32 value, int k, char* dest, size_t size);
void	gsc_format_time_ms(long ms, char* dest, size_t size);
void	gsc_format_time_sec(long sec, char* dest, size_t size);

void	gsc_label_text(const char* label);
int		gsc_label_fail_text(int verbose, const char* text);
int		gsc_label_fail_value(int verbose, long value);
void	gsc_label_init(int width);
void	gsc_label_level_dec(void);
void	gsc_label_level_inc(void);

int		gsc_select_1_board(int qty, int* index);
int		gsc_select_2_boards(int qty, int* index_1, int* index_2);

int		stricmp(const char* str1, const char* str2);



#endif
