#include "hpdi32.h"
#include "hpdi32_dsl.h"

long hpdi32_dsl_io_status_evaluate(U32 io_status)
{
	long	bytes;
	U32		status	= io_status & GSC_IO_STATUS_MASK;

	if (status == GSC_IO_STATUS_ACTIVE)
	{
		// The operation is still active.
		bytes	= 0;
	}
	else if (status == GSC_IO_STATUS_SUCCESS)
	{
		// No operation has been requested.
		bytes	= (long) (io_status & GSC_IO_STATUS_COUNT_MASK);
	}
	else if (status == GSC_IO_STATUS_TIMEOUT)
	{
		// The timeout period lapsed.
		// The count may not be accurate.
		bytes	= -1;
	}
	else if (status == GSC_IO_STATUS_ERROR)
	{
		// There was an error.
		// The count may not be accurate.
		bytes	= -1;
	}
	else if (status == GSC_IO_STATUS_ABORTED)
	{
		// The operation was aborted.
		// The count may not be accurate.
		bytes	= -1;
	}
	else
	{
		// Unknown status.
		bytes	= -1;
	}

	return(bytes);
}
