// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/gui.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#ifndef __GUI_H__
#define __GUI_H__

#include <windows.h>



/* data types	*************************************************************/

typedef struct
{
	HINSTANCE	instance;
	HWND		dlg;
	HICON		icon_sm;
	HICON		icon_lg;
	HMENU		menu;

	int			working;
	int			api_buf;
	int			buf_qty;
	int			buf_size;
	int			buf_size_invalid;
	int			dev_qty;
	int			dev_index;
	int			stop_req;
	int			rx_op;
	char		rx_file[1024];
	int			tx_op;
} gui_t;



/* variables	*************************************************************/

extern	gui_t	gui;



/* prototypes	*************************************************************/

void	buffer_qty_init(void);
void	buffer_qty_refresh(void);
void	buffer_qty_wm_command(int id);
void	buffer_size_init(void);
void	buffer_size_refresh(void);
void	buffer_size_wm_command(WPARAM wParam);
void	buffer_type_init(void);
void	buffer_type_refresh(void);
void	buffer_type_wm_command(int id);
void	cable_cmd_0_init(void);
void	cable_cmd_0_refresh(void);
void	cable_cmd_0_wm_command(int id);
void	cable_cmd_1_init(void);
void	cable_cmd_1_refresh(void);
void	cable_cmd_1_wm_command(int id);
void	cable_cmd_2_init(void);
void	cable_cmd_2_refresh(void);
void	cable_cmd_2_wm_command(int id);
void	cable_cmd_3_init(void);
void	cable_cmd_3_refresh(void);
void	cable_cmd_3_wm_command(int id);
void	cable_cmd_4_init(void);
void	cable_cmd_4_refresh(void);
void	cable_cmd_4_wm_command(int id);
void	cable_cmd_5_init(void);
void	cable_cmd_5_refresh(void);
void	cable_cmd_5_wm_command(int id);
void	cable_cmd_6_init(void);
void	cable_cmd_6_refresh(void);
void	cable_cmd_6_wm_command(int id);
void	close_refresh(void);
void	copy_init(void);
void	copy_refresh(void);
void	copy_wm_command(void);
void	device_list_init(void);
void	device_list_refresh(void);
void	device_list_wm_command(WPARAM wParam);
void	favor_tx_init(void);
void	favor_tx_refresh(void);
void	favor_tx_wm_command(int id);
void	gui_menu_add_int(HMENU menu, int value);
void	gui_menu_add_item_text(HMENU menu, int id);
void	gui_menu_add_text(HMENU menu, const char* text);
void	gui_menu_get_text(HMENU menu, char* buf, size_t size);
void	gui_menu_item_add_int(HMENU menu, int id, int value);
void	gui_menu_item_add_text(HMENU menu, int id, const char* text);
void	gui_menu_item_get_text(HMENU menu, int id, char* buf, size_t size);
HMENU	gui_menu_locate_parent_by_sub(HMENU menu, HMENU submenu);
HMENU	gui_menu_locate_parent_by_id(HMENU menu, int id);
void	gui_menu_set_text(HMENU menu, const char* text);
void	rx_enable_init(void);
void	rx_enable_refresh(void);
void	rx_enable_wm_command(int id);
void	rx_fifo_ae_init(void);
void	rx_fifo_ae_refresh(void);
void	rx_fifo_ae_wm_command(void);
void	rx_fifo_af_init(void);
void	rx_fifo_af_refresh(void);
void	rx_fifo_af_wm_command(void);
void	rx_io_data_size_init(void);
void	rx_io_data_size_refresh(void);
void	rx_io_data_size_wm_command(int id);
void	rx_io_dma_ch_sel_init(void);
void	rx_io_dma_ch_sel_refresh(void);
void	rx_io_dma_ch_sel_wm_command(int id);
void	rx_io_dma_ctrl_init(void);
void	rx_io_dma_ctrl_refresh(void);
void	rx_io_dma_ctrl_wm_command(int id);
void	rx_io_dma_pri_init(void);
void	rx_io_dma_pri_refresh(void);
void	rx_io_dma_pri_wm_command(int id);
void	rx_io_mode_init(void);
void	rx_io_mode_refresh(void);
void	rx_io_mode_wm_command(int id);
void	rx_io_pio_threshold_init(void);
void	rx_io_pio_threshold_refresh(void);
void	rx_io_pio_threshold_wm_command(void);
void	rx_io_sc_init(void);
void	rx_io_sc_refresh(void);
void	rx_io_sc_wm_command(int id);
void	rx_io_timeout_init(void);
void	rx_io_timeout_refresh(void);
void	rx_io_timeout_wm_command(void);
void	rx_operation_init(void);
void	rx_operation_refresh(void);
void	rx_operation_wm_command(int id);
void	start_init(void);
void	start_refresh(void);
void	status_init(void);
void	status_reset(void);
void	stop_init(void);
void	stop_refresh(void);
void	stop_wm_command(void);
void	tri_state_init(void);
void	tri_state_refresh(void);
void	tri_state_wm_command(int id);
void	tx_auto_start_init(void);
void	tx_auto_start_refresh(void);
void	tx_auto_start_wm_command(int id);
void	tx_auto_stop_init(void);
void	tx_auto_stop_refresh(void);
void	tx_auto_stop_wm_command(int id);
void	tx_clock_divider_init(void);
void	tx_clock_divider_refresh(void);
void	tx_clock_divider_wm_command(void);
void	tx_enable_init(void);
void	tx_enable_refresh(void);
void	tx_enable_wm_command(int id);
void	tx_fifo_ae_init(void);
void	tx_fifo_ae_refresh(void);
void	tx_fifo_ae_wm_command(void);
void	tx_fifo_af_init(void);
void	tx_fifo_af_refresh(void);
void	tx_fifo_af_wm_command(void);
void	tx_io_data_size_init(void);
void	tx_io_data_size_refresh(void);
void	tx_io_data_size_wm_command(int id);
void	tx_io_dma_ch_sel_init(void);
void	tx_io_dma_ch_sel_refresh(void);
void	tx_io_dma_ch_sel_wm_command(int id);
void	tx_io_dma_ctrl_init(void);
void	tx_io_dma_ctrl_refresh(void);
void	tx_io_dma_ctrl_wm_command(int id);
void	tx_io_dma_pri_init(void);
void	tx_io_dma_pri_refresh(void);
void	tx_io_dma_pri_wm_command(int id);
void	tx_io_mode_init(void);
void	tx_io_mode_refresh(void);
void	tx_io_mode_wm_command(int id);
void	tx_io_pio_threshold_init(void);
void	tx_io_pio_threshold_refresh(void);
void	tx_io_pio_threshold_wm_command(void);
void	tx_io_sc_init(void);
void	tx_io_sc_refresh(void);
void	tx_io_sc_wm_command(int id);
void	tx_io_timeout_init(void);
void	tx_io_timeout_refresh(void);
void	tx_io_timeout_wm_command(void);
void	tx_line_valid_off_count_init(void);
void	tx_line_valid_off_count_refresh(void);
void	tx_line_valid_off_count_wm_command(void);
void	tx_line_valid_on_count_init(void);
void	tx_line_valid_on_count_refresh(void);
void	tx_line_valid_on_count_wm_command(void);
void	tx_operation_init(void);
void	tx_operation_refresh(void);
void	tx_operation_wm_command(int id);
void	tx_remote_throttle_init(void);
void	tx_remote_throttle_refresh(void);
void	tx_remote_throttle_wm_command(int id);
void	tx_status_valid_count_init(void);
void	tx_status_valid_count_refresh(void);
void	tx_status_valid_count_wm_command(void);
void	tx_status_valid_mirror_init(void);
void	tx_status_valid_mirror_refresh(void);
void	tx_status_valid_mirror_wm_command(int id);

void	gui_edit_int(	const char*	name,
						int*		value,
						int			min,
						int			max,
						const char*	units,
						const char*	info);



#endif
