// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/gui_copy.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#include <windows.h>

#include "gui.h"
#include "copy.h"
#include "resource.h"
#include "ringbuf.h"



/* variables	*************************************************************/

static	HANDLE		_control;



/*****************************************************************************
*
*	Function:	copy_init
*
*	Purpose:
*
*		Initialize things for the COPY button.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void copy_init(void)
{
	_control	= GetDlgItem(gui.dlg, IDC_COPY);
}



/*****************************************************************************
*
*	Function:	copy_refresh
*
*	Purpose:
*
*		Refresh the COPY button.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void copy_refresh(void)
{
	EnableWindow(_control, !gui.working);
	SendMessage(_control, WM_PAINT, 0, 0);
}



/*****************************************************************************
*
*	Function:	copy_wm_command
*
*	Purpose:
*
*		Implement a COPY function for the dialog content.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void copy_wm_command(void)
{
	static const copy_t	list[]	=
	{
		/* id					flags													*/
		{ -1,					COPY_EOL | COPY_UNDERLINE								},

		{ IDC_DEVICE_GROUP,		COPY_EOL												},
		{ IDC_DEVICE_LIST,		COPY_INDENT | COPY_LIST_BOX | COPY_LB_GETSEL | COPY_EOL	},

		{ IDC_BUF_TYPE_GROUP,	COPY_EOL												},
		{ IDC_BUF_TYPE_API,		COPY_INDENT | COPY_BM_GETCHECK | COPY_EOL				},
		{ IDC_BUF_TYPE_APP,		COPY_INDENT | COPY_BM_GETCHECK | COPY_EOL				},

		{ IDC_QTY_GROUP,		COPY_EOL												},
		{ IDC_QTY,				COPY_INDENT												},
		{ IDC_QTY_INC,			COPY_INDENT | COPY_WIDTH | 2							},
		{ IDC_QTY_DEC,			COPY_EOL												},
		{ IDC_QTY_RANGE,		COPY_INDENT | COPY_EOL									},

		{ IDC_SIZE_GROUP,		COPY_EOL												},
		{ IDC_SIZE_EDIT,		COPY_INDENT												},
		{ IDC_SIZE_UNITS,		COPY_INDENT | COPY_EOL									},
		{ IDC_SIZE_RANGE,		COPY_INDENT | COPY_EOL									},

		{ IDC_START,			COPY_EOL												},
		{ IDC_STOP,				COPY_EOL												},
		{ IDC_COPY,				COPY_EOL												},

		{ 0,					COPY_UNDERLINE | COPY_WIDTH | 40						},
		{ IDC_STATUS,			COPY_PREFEED | COPY_LIST_BOX | COPY_EOL					}
	};

	copy_list_to_clipboard(gui.dlg, list, ARRAY_ELEMENTS(list));
}


