// HPDI32 - Utilities - Any OS - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/utils/util_status.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#include <stdio.h>

#include "hpdi32_util.h"
#include "hpdi32_dsl.h"



/*****************************************************************************
*
*	Function:	dev_api_status
*
*	Purpose:
*
*		Make sure the API is OK to use.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		>= 0	The number of errors encountered.
*
*****************************************************************************/

int dev_api_status(void)
{
	U32		arg;
	char	buf[256];
	int		errs;
	U32		stat;
	U32		status;
	char	sts[256];

	gsc_label_text("HPDI32 API Library status");
	stat	= hpdi32_api_status(&status, &arg, HPDI32_API_VERSION);
	errs	= label_fail_func(1, "hpdi32_api_status", stat);

	if (errs)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		hpdi32_status_text(status, buf, sizeof(buf));
		sprintf(sts, "%s, arg 0x%lX", buf, (long) arg);
		errs	= gsc_label_fail_text(1, sts);
	}
	else
	{
		errs	= 0;
		printf("PASS\n");
	}

	return(errs);
}


