// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/align.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Export items for the control alignment services.
*
*****************************************************************************/

#ifndef __ALIGN_H__
#define	__ALIGN_H__

#include "visual.h"		/*lint !e537 */



/* #defines	*****************************************************************/

#define	ALIGN_COPY	0x00000001
#define	ALIGN_W		0x00000002	// Retain or set width.
#define	ALIGN_H		0x00000004	// Retain or set height.

#define	ALIGN_L		0x00000010
#define	ALIGN_L_L	0x00000020
#define	ALIGN_L_C	0x00000040
#define	ALIGN_L_R	0x00000080

#define	ALIGN_HC_L	0x00000100
#define	ALIGN_HC_C	0x00000200
#define	ALIGN_HC_R	0x00000400

#define	ALIGN_R		0x00001000
#define	ALIGN_R_L	0x00002000
#define	ALIGN_R_C	0x00004000
#define	ALIGN_R_R	0x00008000

#define	ALIGN_T		0x00010000
#define	ALIGN_T_B	0x00020000
#define	ALIGN_T_C	0x00040000
#define	ALIGN_T_T	0x00080000

#define	ALIGN_VC_T	0x00100000
#define	ALIGN_VC_C	0x00200000
#define	ALIGN_VC_B	0x00400000

#define	ALIGN_B		0x01000000
#define	ALIGN_B_B	0x02000000
#define	ALIGN_B_C	0x04000000
#define	ALIGN_B_T	0x08000000

#define	ALIGN_T_(l,_id,_ref,_flags,_value)	\
					(l).id		= (_id);	\
					(l).ref		= (_ref);	\
					(l).flags	= (_flags);	\
					(l).value	= (_value);



/* typedefs	*****************************************************************/

typedef struct
{
	int		id;
	int		ref;
	UINT	flags;
	int		value;
} align_t;



/* prototypes	*************************************************************/

void	align_control(HWND dlg, int id, int ref, UINT flags, int value);
void	align_control_list(HWND dlg, const align_t* list);
int		align_control_width(HWND dlg, int id, HFONT font);


#endif
