// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/cable.h $
// $Rev: 2902 $
// $Date: 2009-08-09 17:48:49 -0500 (Sun, 09 Aug 2009) $

/*****************************************************************************
*
*	Export items for the Cable Configuration services.
*
*****************************************************************************/

#ifndef __CABLE_H__
#define	__CABLE_H__

#include "service.h"		/*lint !e537 */



/* typedefs	*****************************************************************/

typedef struct
{
	HWND	control;	// Used to track Radio Button changes.
	U32		defalt;		// MUST BE SET BY CODE WANTING THE DIALOG!
	U32		setting;	// The device/dialog setting is recorded here.
} _cbl_t;

typedef struct
{
	// These are filled in by the code wishing to open a window.
	int			cmd_index;
	device_t*	device;
	U32			feature;	// The feature to check.
	int			gpio_index;
	const char*	section_name;
	const char*	title;
	U32			which;

	// These are filled in by the code maintaining the window.
	int			changes;	// Are there changes to apply?
	HWND		dlg;
	U32			present;	// Is the checked feature present?
	int			ignore;		// Ignore button activity?
	_cbl_t		mode;
	int			was_open;	// Was the device already open?
} cable_data_t;



/* variables	*************************************************************/

extern	const parm_entry_t	cable_command_0_mode;
extern	const parm_entry_t	cable_command_1_mode;
extern	const parm_entry_t	cable_command_2_mode;
extern	const parm_entry_t	cable_command_3_mode;
extern	const parm_entry_t	cable_command_4_mode;
extern	const parm_entry_t	cable_command_5_mode;
extern	const parm_entry_t	cable_command_6_mode;
extern	const value_t		cable_command_value;
extern	const parm_list_t	cable_parm_list;



/* prototypes	*************************************************************/

U32		cable_command_cfg_wiz(HWND dlg, const parm_entry_t* entry, cable_data_t* data);

LRESULT	cable_service(				HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_clock_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_0_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_1_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_2_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_3_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_4_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_5_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_command_6_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	cable_data_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);



#endif
