// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/fifo.h $
// $Rev: 2902 $
// $Date: 2009-08-09 17:48:49 -0500 (Sun, 09 Aug 2009) $

/*****************************************************************************
*
*	Export items for common FIFO processing.
*
*****************************************************************************/

#ifndef __FIFO_H__
#define	__FIFO_H__

#include "button.h"			/*lint !e537 */
#include "service.h"		/*lint !e537 */



/* typedefs	*****************************************************************/

typedef struct
{
	U32		defalt;		// MUST BE SET BY CODE WANTING THE DIALOG!
	int		ignore;		// Ignore change activity?
	U32		setting;	// The device/dialog setting is recorded here.
} _fifo_t;

typedef struct
{
	U32		clear;		// The value to apply to clear the condition.
	U32		parm;
	U32		setting;	// The device/dialog setting is recorded here.
	U32		yes;		// The "condition did occur" value.
} _run_t;

typedef struct
{
	// These are filled in by the code wanting the window opened.
	int			arrow_id;
	int			ctrl_id;
	device_t*	device;
	_run_t		overrun;
	UINT		overrun_color;
	const char*	section_name;
	const char*	title;
	_run_t		under_run;
	UINT		under_run_color;
	U32			which;

	// These are filled in by the code maintaining the window.
	_fifo_t		almost_empty;
	_fifo_t		almost_full;
	int			changes;		// Are there changes to apply?
	HWND		dlg;
	_fifo_t		size;
	int			size_known;
	_fifo_t		status;
	int			was_open;
} fifo_data_t;



/* variables	*************************************************************/

extern	const parm_list_t	fifo_rx_parm_list;
extern	const parm_list_t	fifo_tx_parm_list;



/* prototypes	*************************************************************/

void	fifo_gui_paint(		HWND			control,
							button_t*		data,
							fifo_data_t*	fifo,
							U32				overrun,
							U32				underrun);

LRESULT	fifo_service(	HWND			dlg,
						device_t*		device,
						service_type_t	service,
						WPARAM			wParam,
						LPARAM			lParam);



#endif
