// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/regs_fw_rfsr.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Provide data describing the Rx FIFO Size Register.
*
*****************************************************************************/

#include "regs.h"



/* variables	*************************************************************/

static const reg_value_t	_size_values[]	=
{
	{
	/* name		*/	"1",
	/* value	*/	1
	},
	{
	/* name		*/	"2",
	/* value	*/	2
	},
	{
	/* name		*/	"4",
	/* value	*/	4
	},
	{
	/* name		*/	"8",
	/* value	*/	8
	},
	{
	/* name		*/	"16",
	/* value	*/	16
	},
	{
	/* name		*/	"32",
	/* value	*/	32
	},
	{
	/* name		*/	"64",
	/* value	*/	64
	},
	{
	/* name		*/	"128",
	/* value	*/	128
	},
	{
	/* name		*/	"256",
	/* value	*/	256
	},
	{
	/* name		*/	"512",
	/* value	*/	512
	},
	{
	/* name		*/	"1K",
	/* value	*/	1024
	},
	{
	/* name		*/	"2K",
	/* value	*/	2 * 1024
	},
	{
	/* name		*/	"4K",
	/* value	*/	4 * 1024
	},
	{
	/* name		*/	"8K",
	/* value	*/	8 * 1024
	},
	{
	/* name		*/	"16K",
	/* value	*/	16 * 1024
	},
	{
	/* name		*/	"32K",
	/* value	*/	32 * 1024
	},
	{
	/* name		*/	"64K",
	/* value	*/	64 * 1024
	},
	{
	/* name		*/	"128K",
	/* value	*/	128 * 1024
	}
};

static reg_field_t	_fields[]	=
{
	{
	/* name		*/	"RES",
	/* desc		*/	"Reserved",
	/* mask		*/	0xFFF00000,
	/* value	*/	NULL,
	/* values	*/	0
	},
	{
	/* name		*/	"SIZE",
	/* desc		*/	"FIFO Size in Samples",
	/* mask		*/	0x000FFFFF,
	/* value	*/	_size_values,
	/* values	*/	ARRAY_ELEMENTS(_size_values)
	}
};

reg_def_t	reg_fw_rfsr	=
{
	/* name			*/	"RFSR",
	/* desc			*/	"Rx FIFO Size Register",
	/* reg_id		*/	HPDI32_RFSR,
	/* read_only	*/	0xFFFFFFFF,
	/* field		*/	_fields,
	/* fields		*/	ARRAY_ELEMENTS(_fields),
	/* init			*/	NULL,
	/* refresh		*/	NULL
};


