// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/regs_fw_tlilcr.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Provide data describing the Tx Line Invalid Length Count Register.
*
*****************************************************************************/

#include "regs.h"



/* variables	*************************************************************/

static reg_field_t	_fields[]	=
{
	{
	/* name		*/	"RES",
	/* desc		*/	"Reserved",
	/* mask		*/	0xFFFF0000,
	/* value	*/	NULL,
	/* values	*/	0
	},
	{
	/* name		*/	"IC",
	/* desc		*/	"Invalid Count",
	/* mask		*/	HPDI32_TLILCR_COUNT_MASK,
	/* value	*/	NULL,
	/* values	*/	0
	}
};

reg_def_t	reg_fw_tlilcr	=
{
	/* name			*/	"TLILCR",
	/* desc			*/	"Tx Line Invalid Length Count Register",
	/* reg_id		*/	HPDI32_TLILCR,
	/* read_only	*/	0xFFFF0000,
	/* field		*/	_fields,
	/* fields		*/	ARRAY_ELEMENTS(_fields),
	/* init			*/	NULL,
	/* refresh		*/	NULL
};


