// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/static.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Export items for the custom static controls.
*
*****************************************************************************/

#ifndef __STATIC_H__
#define	__STATIC_H__

#include "visual.h"		/*lint !e537 */



/* typedefs	*****************************************************************/

typedef struct
{
	HBRUSH	brush;
	int		count;
	int		direction;
	int		enable;
	int		height;
	POINT	list[5];
	int		offset;
	HPEN	pen;
	int		width;
} static_arrow_t;

typedef struct
{
	int		count;
	POINT	list[5];
	HPEN	pen;
} static_polyline_t;

typedef struct
{
	HBRUSH	brush;
	HPEN	pen;
	RECT	rect;
} static_rect_t;

typedef struct
{
	COLORREF	color_bg;
	COLORREF	color_fg;
	int			enable;
	HFONT		font;
	UINT		length;
	RECT		rect;
	char		text[128];
	int			x;
	int			y;
} static_text_t;

typedef struct _static_t static_t;

struct _static_t
{
	RECT			client;
	HDC				dc;
	device_t*		device;
	void			(*paint)(HWND control, static_t* data);
	UINT			style;
	int				tmAscent;
	int				tmDescent;

	static_arrow_t	arrow;
	static_rect_t	inside;
	static_text_t	text1;
	static_text_t	text2;

	struct
	{
		static_polyline_t	lr_in;
		static_polyline_t	lr_out;
		static_polyline_t	outter;
		static_polyline_t	ridge;
		static_polyline_t	ul_in;
		static_polyline_t	ul_out;
	} border;
};



/* prototypes	*************************************************************/

void	static_arrow_direction_set(HWND dlg, int id, int direction);
void	static_arrow_offset_set(HWND dlg, int id, int offset);
void	static_init(HWND dlg, device_t* device, int id);
void	static_paint_function_set(HWND dlg, int id, void (*paint)(HWND control, static_t* data));
int		static_text_paint(HWND control, static_t* data, int x, int y, const char* text);
int		static_text_width_get(HWND dlg, int id);
int		static_wave_paint(static_t* data, int x, int y, const wave_t* list);

int		static_circle_paint(HWND		control,
							static_t*	data,
							int			x,
							int			y,
							HBRUSH		brush,
							int			cross);



#endif
