// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/tx.h $
// $Rev: 2902 $
// $Date: 2009-08-09 17:48:49 -0500 (Sun, 09 Aug 2009) $

/*****************************************************************************
*
*	Export items for transmitter configuration.
*
*****************************************************************************/

#ifndef __TX_H__
#define	__TX_H__

#include "service.h"	/*lint !e537 */



/* #defines	*****************************************************************/

#define	TX_OSCILLATOR_K	1000
#define	TX_RATE_K		TX_OSCILLATOR_K



/* typedefs	*****************************************************************/

typedef struct
{
	U32		defalt;		// MUST BE SET BY CODE WANTING THE DIALOG!
	int		ignore;		// Ignore change activity?
	U32		setting;	// The device/dialog setting is recorded here.
} tx_cd_var_t;

typedef struct
{
	int			changes;	// Are there changes to apply?
	device_t*	device;
	tx_cd_var_t	divider;
	HWND		dlg;
	tx_cd_var_t	oscillator;
	int			was_open;	// Was the device already open?
} tx_cd_t;



/* variables	*************************************************************/

extern	const parm_list_t	tx_io_parm_api_buffer_list;
extern	const parm_list_t	tx_io_parm_list;
extern	const parm_entry_t	tx_parm_auto_start;
extern	const parm_entry_t	tx_parm_auto_stop;
extern	const parm_entry_t	tx_parm_clock_divider;
extern	const parm_entry_t	tx_parm_enable;
extern	const parm_entry_t	tx_parm_line_valid_off;
extern	const parm_entry_t	tx_parm_line_valid_on;
extern	const parm_list_t	tx_parm_list;
extern	const parm_entry_t	tx_parm_remote_throttle;
extern	const parm_entry_t	tx_parm_status_valid;
extern	const parm_entry_t	tx_parm_status_valid_mirror;



/* prototypes	*************************************************************/

U32		tx_clock_divider_rate_dialog_write(HWND dlg, tx_cd_t* data);
U32		tx_oscillator_cd_device_read(tx_cd_t* data);
U32		tx_oscillator_cd_device_write(tx_cd_t* data);
U32		tx_oscillator_cd_dialog_read(HWND dlg, tx_cd_t* data);
U32		tx_oscillator_cd_dialog_write(HWND dlg, tx_cd_t* data);
void	tx_oscillator_cd_idc_cd_oscillator(HWND dlg, WPARAM wParam, tx_cd_t* data);
void	tx_oscillator_cd_wm_initdialog(HWND dlg);

LRESULT	tx_service(					HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_clock_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_clock_divider_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_data_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_data_flow_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_data_ready_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_disable_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_enable_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_enabled_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_fifo_service(			HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_frame_valid_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_io_service(				HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_line_valid_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_oscillator_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_rx_ready_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_status_valid_service(	HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);

LRESULT	tx_transmit_service(		HWND			dlg,
									device_t*		device,
									service_type_t	service,
									WPARAM			wParam,
									LPARAM			lParam);




#endif
